#include "libscl.h"
#include "kronprd.h"

#include "var1EXX.h"
#include "lprior.h"

using namespace std;
using namespace scl;

int main(int argc, char** argp, char** envp)
{

  // pnorm constants

  cout << "OneUponSqrt2Pi " << fmt('f',22,20,1.0/sqrt(2.0*M_PI)) << '\n';
  cout << "twopi " << fmt('f',22,20,2.0*M_PI) << '\n'; 
  cout << "LnSqrt2Pi " << fmt('f',22,20,log(sqrt(2.0*M_PI))) << '\n';
  cout << "SQRT2 " << fmt('f',22,20,M_SQRT2) << '\n';
  cout << "SQRTPI " << fmt('f',22,20,sqrt(M_PI)) << '\n';

  /*
  //const REAL logoneontwopi = log(1.0/6.283195307179587);
  const REAL logoneontwopi = log(1.0/(2.0*M_PI));

  cout << fmt('f',22,20,6.28318530717958623200) << '\n' 
       << fmt('f',22,20,2.0*M_PI) << '\n';

  cout << fmt('f',20,18,log(1.0/6.283195307179587)) << '\n' 
       << fmt('f',20,18,logoneontwopi) << '\n';
  */

  return 0;
}

